## org.apache.mahout.clustering.spectral.kmeans
Class SpectralKMeansDriver

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.mahout.common.AbstractJob
              org.apache.mahout.clustering.spectral.kmeans.SpectralKMeansDriver

All Implemented Interfaces:
  org.apache.hadoop.conf.Configurable, org.apache.hadoop.util.Tool

    public class SpectralKMeansDriver

extends AbstractJob

Implementation of the EigenCuts spectral clustering algorithm.

Field Summary
`static double` `OVERSHOOT_MULTIPLIER`

Constructor Summary
`SpectralKMeansDriver()`

Method Summary
`static void` `main(java.lang.String[] args)`
`static void` `run(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path input, org.apache.hadoop.fs.Path output, int numDims, int clusters, DistanceMeasure measure, double convergenceDelta, int maxIterations)` Run the Spectral KMeans clustering on the supplied arguments
`int` `run(java.lang.String[] arg0)`

Methods inherited from class org.apache.mahout.common.AbstractJob
`addFlag, addInputOption, addOption, addOption, addOption, addOption, addOutputOption, getInputPath, getOption, getOutputPath, hasOption, keyFor, maybePut, parseArguments, parseDirectories, prepareJob, shouldRunNextPhase`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.conf.Configurable
`getConf, setConf`

Field Detail

### OVERSHOOT_MULTIPLIER

    public static final double OVERSHOOT_MULTIPLIER

See Also:
  Constant Field Values

Constructor Detail

### SpectralKMeansDriver

    public SpectralKMeansDriver()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### run

    public int run(java.lang.String[] arg0)
            throws java.io.IOException,
                   java.lang.ClassNotFoundException,
                   java.lang.InstantiationException,
                   java.lang.IllegalAccessException,
                   java.lang.InterruptedException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`
    `java.lang.InterruptedException`

### run

    public static void run(org.apache.hadoop.conf.Configuration conf,
                           org.apache.hadoop.fs.Path input,
                           org.apache.hadoop.fs.Path output,
                           int numDims,
                           int clusters,
                           DistanceMeasure measure,
                           double convergenceDelta,
                           int maxIterations)
                    throws java.io.IOException,
                           java.lang.InterruptedException,
                           java.lang.ClassNotFoundException,
                           java.lang.IllegalAccessException,
                           java.lang.InstantiationException

  Run the Spectral KMeans clustering on the supplied arguments

  Parameters:
    `conf` - the Configuration to be used
    `input` - the Path to the input tuples directory
    `output` - the Path to the output directory
    `numDims` - the int number of dimensions of the affinity matrix
    `clusters` - the int number of eigenvectors and thus clusters to produce
    `measure` - the DistanceMeasure for the k-Means calculations
    `convergenceDelta` - the double convergence delta for the k-Means calculations
    `maxIterations` - the int maximum number of iterations for the k-Means calculations
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`
    `java.lang.ClassNotFoundException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.